/*
 * StickGBC by Matt Comben is licensed under a Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
 * To view a copy of this license, visit
 * http://creativecommons.org/licenses/by-nc-nd/4.0/.
 */

// Constants for menu tiles
// 0 Background
#define MENU_TILE_BACKGROUND 0x0
// 4 Ex
#define MENU_TILE_EX 0x4
// 5 it
#define MENU_TILE_IT 0x5
// 6 D
#define MENU_TILE_D 0x6
// 7 AY
#define MENU_TILE_AY 0x7
// 8 RT
#define MENU_TILE_RT 0x8
// 9 FI
#define MENU_TILE_FI 0x9
// 10 BE
#define MENU_TILE_BE 0xa
// 11 BO
#define MENU_TILE_BO 0xb
// 12 TT
#define MENU_TILE_TT 0xc
// 13 OF
#define MENU_TILE_OF 0xd
// 14 HE
#define MENU_TILE_HE 0xe
// 15 G
#define MENU_TILE_G 0xf
// 16 GH
#define MENU_TILE_GH 0x10
// 17 SL
#define MENU_TILE_SL 0x11
// 18 ET
#define MENU_TILE_ET 0x12
// 19 P
#define MENU_TILE_P 0x13
// 20 KA
#define MENU_TILE_KA 0x14
// 21 RM
#define MENU_TILE_RM 0x15
// 22 MI
#define MENU_TILE_MI 0x16
// 23 LK
#define MENU_TILE_LK 0x17
// 24 SH
#define MENU_TILE_SH 0x18
// 25 AK
#define MENU_TILE_AK 0x19
// 26 E
#define MENU_TILE_E 0x1a
// 27 FR
#define MENU_TILE_FR 0x1b
// 28 IE
#define MENU_TILE_IE 0x1c
// 29 S
#define MENU_TILE_S 0x1d
// 30 CH
#define MENU_TILE_CH 0x1e
// 31 EE
#define MENU_TILE_EE 0x1f
// 32 SE
#define MENU_TILE_SE 0x20
// 33 BU
#define MENU_TILE_BU 0x21
// 34 RG
#define MENU_TILE_RG 0x22
// 35 ER
#define MENU_TILE_ER 0x23
// 36 TR'
#define MENU_TILE_TR_APOS 0x24
// 37 PL
#define MENU_TILE_PL 0x25
// 38 WO
#define MENU_TILE_WO 0x26
// 39 RK
#define MENU_TILE_RK 0x27
// 40 CO
#define MENU_TILE_CO 0x28
// 41 US
#define MENU_TILE_US 0x29
// 42 CA
#define MENU_TILE_CA 0x2a
// 43 ND
#define MENU_TILE_ND 0x2b
// 44 Y
#define MENU_TILE_Y 0x2c
// 45 BA
#define MENU_TILE_BA 0x2d
// 46 R
#define MENU_TILE_R 0x2e
// 47 NA
#define MENU_TILE_NA 0x2f
// 48 OS
#define MENU_TILE_OS 0x30
// 49 SM
#define MENU_TILE_SM 0x31
// 50 OK
#define MENU_TILE_OK 0x32
// 51 ES
#define MENU_TILE_ES 0x33
// 52 FF
#define MENU_TILE_FF 0x34
// 53 EI
#define MENU_TILE_EI 0x35
// 54 NE
#define MENU_TILE_NE 0x36
// 55 HA
#define MENU_TILE_HA 0x37
// 56 GU
#define MENU_TILE_GU 0x38
// 57 N
#define MENU_TILE_N 0x39
// 58 KN
#define MENU_TILE_KN 0x3a
// 59 IF
#define MENU_TILE_IF 0x3b
// 60 AL
#define MENU_TILE_AL 0x3c
// 61 AR
#define MENU_TILE_AR 0x3d
// 62 M
#define MENU_TILE_M 0x3e
// 63 CL
#define MENU_TILE_CL 0x3f
// 64 OC
#define MENU_TILE_OC 0x40
// 65 K
#define MENU_TILE_K 0x41
// 66 PH
#define MENU_TILE_PH 0x42
// 67 ON
#define MENU_TILE_ON 0x43
// 68 UD
#define MENU_TILE_UD 0x44
// 69 GY
#define MENU_TILE_GY 0x45
// 70 OU
#define MENU_TILE_OU 0x46
// 71 T
#define MENU_TILE_T 0x47
// 72 GO
#define MENU_TILE_GO 0x48
// 73 TO
#define MENU_TILE_TO 0x49
// 74 AS
#define MENU_TILE_AS 0x4a
// 75 GI
#define MENU_TILE_GI 0x4b
// 76 VE
#define MENU_TILE_VE 0x4c
// 77 AP
#define MENU_TILE_AP 0x4d
// 78 A
#define MENU_TILE_A 0x4e
// 79 JO
#define MENU_TILE_JO 0x4f
// 80 B
#define MENU_TILE_B 0x50
// 81 FO
#define MENU_TILE_FO 0x51
// 82 JA
#define MENU_TILE_JA 0x52
// 83 NI
#define MENU_TILE_NI 0x53
// 84 MA
#define MENU_TILE_MA 0x54
// 85 IL
#define MENU_TILE_IL 0x55
// 86 SA
#define MENU_TILE_SA 0x56
// 87 LE
#define MENU_TILE_LE 0x57
// 88 AN
#define MENU_TILE_AN 0x58
// 89 EC
#define MENU_TILE_EC 0x59
// 90 UT
#define MENU_TILE_UT 0x5a
// 91 IV
#define MENU_TILE_IV 0x5b
// 92 VP
#define MENU_TILE_VP 0x5c
// 93 O
#define MENU_TILE_O 0x5d
// 94 PR
#define MENU_TILE_PR 0x5e
// 95 OM
#define MENU_TILE_OM 0x5f
// 96 OT
#define MENU_TILE_OT 0x60
// 97 IO
#define MENU_TILE_IO 0x61

// SHARED BETWEEN MENU TILES 1 and MENU TILES 2
// 98 Clock face
#define MENU_TILE_CLOCK 0x62
// 99 Colon
#define MENU_TILE_COLON 0x63
// 100 0
#define MENU_TILE_0 0x64
// 101 1
#define MENU_TILE_1 0x65
// 102 2
#define MENU_TILE_2 0x66
// 103 3
#define MENU_TILE_3 0x67
// 104 4
#define MENU_TILE_4 0x68
// 105 5
#define MENU_TILE_5 0x69
// 106 6
#define MENU_TILE_6 0x6a
// 107 7
#define MENU_TILE_7 0x6b
// 108 8
#define MENU_TILE_8 0x6c
// 109 9
#define MENU_TILE_9 0x6d
// 110 $
#define MENU_TILE_DOLLAR 0x6e
// 111 HP
#define MENU_TILE_HP 0x6f
// 112 /HR
#define MENU_TILE_PER_HOUR 0x70
// 113 DA
#define MENU_TILE_DA 0x71
// 114 YS
#define MENU_TILE_YS 0x72
// 115 /
#define MENU_TILE_SLASH 0x73
// 116 IN
#define MENU_TILE_IN 0x74
// 117 TE
#define MENU_TILE_TE 0x75
// 118 LL
#define MENU_TILE_LL 0x76
// 119 IG
#define MENU_TILE_IG 0x77
// 120 EN
#define MENU_TILE_EN 0x78
// 121 CE
#define MENU_TILE_CE 0x79
// 122 ST
#define MENU_TILE_ST 0x7a
// 123 RE
#define MENU_TILE_RE 0x7b
// 124 NG
#define MENU_TILE_NG 0x7c
// 125 TH
#define MENU_TILE_TH 0x7d
// 126 -
#define MENU_TILE_DASH 0x7e


#define MENU_TILE2_SE 0x06
//#define MENU_TILE2_UNUSED1 0x07
#define MENU_TILE2__G 0x08
#define MENU_TILE2_OO 0x09
#define MENU_TILE2_DS 0x0A
#define MENU_TILE2_BR 0x0B
#define MENU_TILE2_KL 0x0C
#define MENU_TILE2_YN 0x0D
#define MENU_TILE2_CH 0x0E
#define MENU_TILE2_IC 0x0F
#define MENU_TILE2_AG 0x10
#define MENU_TILE2_O 0x11
#define MENU_TILE2_DE 0x12
#define MENU_TILE2_TR 0x13
#define MENU_TILE2_OI 0x14
#define MENU_TILE2_T 0x15
#define MENU_TILE2_CA 0x16
#define MENU_TILE2_MD 0x17
#define MENU_TILE2_LO 0x19
#define MENU_TILE2_S 0x1A
#define MENU_TILE2_AN 0x1B
#define MENU_TILE2_GE 0x1C
#define MENU_TILE2_LE 0x1D
#define MENU_TILE2_LA 0x1E
#define MENU_TILE2_VE 0x1F
#define MENU_TILE2_GA 0x20
#define MENU_TILE2_WI 0x21
#define MENU_TILE2_DR 0x22
#define MENU_TILE2_AW 0x23
#define MENU_TILE2_PO 0x24
#define MENU_TILE2_SI 0x25
#define MENU_TILE2_AL 0x26
#define MENU_TILE2_ES 0x27
#define MENU_TILE2_TA 0x28
#define MENU_TILE2_A 0x29
#define MENU_TILE2_AM 0x2A
#define MENU_TILE2_OU 0x2B
#define MENU_TILE2_NT 0x2C
#define MENU_TILE2_PA 0x2D
#define MENU_TILE2_Y 0x2E
#define MENU_TILE2_R 0x2F
#define MENU_TILE2_B 0x30
#define MENU_TILE2_BE 0x31
#define MENU_TILE2_D 0x32
#define MENU_TILE2_TV 0x33
#define MENU_TILE2_PC 0x34
#define MENU_TILE2_EP 0x35
#define MENU_TILE2_FR 0x36
#define MENU_TILE2_EE 0x37
#define MENU_TILE2_ZE 0x38
#define MENU_TILE2_SA 0x39
//#define MENU_TILE2_UNUSED 0x3A
#define MENU_TILE2_IT 0x3B
#define MENU_TILE2_E 0x3C
//#define MENU_TILE2_UNUSED 0x3D
#define MENU_TILE2_K 0x3E
#define MENU_TILE2_dOd 0x3F
#define MENU_TILE2_PE 0x40
#define MENU_TILE2_DI 0x41
#define MENU_TILE2_MI 0x42
#define MENU_TILE2_NI 0x43
#define MENU_TILE2_BA 0x44
#define MENU_TILE2_EA 0x45
#define MENU_TILE2_DM 0x46
#define MENU_TILE2_IL 0x47
#define MENU_TILE2_L 0x48
#define MENU_TILE2_AP 0x49
#define MENU_TILE2_AR 0x4A
#define MENU_TILE2_TM 0x4B
//#define MENU_TILE2_T 0x4C
#define MENU_TILE2_HO 0x4D
#define MENU_TILE2_US 0x4E
#define MENU_TILE2_MA 0x4F
#define MENU_TILE2_NS 0x50
#define MENU_TILE2_IO 0x51
#define MENU_TILE2_N 0x52


#define MENU_TILE2_0 0x64
#define MENU_TILE2_1 0x65
#define MENU_TILE2_2 0x66
#define MENU_TILE2_3 0x67
#define MENU_TILE2_4 0x68
#define MENU_TILE2_5 0x69
#define MENU_TILE2_6 0x6a
#define MENU_TILE2_7 0x6b
#define MENU_TILE2_8 0x6c
#define MENU_TILE2_9 0x6d
#define MENU_TILE2_DOLLAR 0x6e
#define MENU_TILE2_HP 0x6f
#define MENU_TILE2_PER_HOUR 0x70
#define MENU_TILE2_DA 0x71
#define MENU_TILE2_YS 0x72
#define MENU_TILE2_SLASH 0x73
#define MENU_TILE2_IN 0x74
#define MENU_TILE2_TE 0x75
#define MENU_TILE2_LL 0x76
#define MENU_TILE2_IG 0x77
#define MENU_TILE2_EN 0x78
#define MENU_TILE2_CE 0x79
#define MENU_TILE2_ST 0x7a
#define MENU_TILE2_RE 0x7b
#define MENU_TILE2_NG 0x7c
#define MENU_TILE2_TH 0x7d
#define MENU_TILE2_DASH 0x7e